library DyeClothStk;

uses
  SysUtils,
  classes,
  forms,
  WinTypes,
  WinProcs,
  midaslib,
  U_GetDllForm in 'U_GetDllForm.pas',
  U_DataLink in 'U_DataLink.pas' {DataLink_DyeClothStk: TDataModule},
  U_iniParam in 'U_iniParam.pas',
  U_BaseHelp in '..\..\..\public10\design\U_BaseHelp.pas' {frmBaseHelp},
  U_BaseInput in '..\..\..\public10\design\U_BaseInput.pas' {frmBaseInput},
  U_BaseList in '..\..\..\public10\design\U_BaseList.pas' {frmBaseList},
  U_cxGridCustomCss in '..\..\..\public10\design\U_cxGridCustomCss.pas',
  U_globalVar in '..\..\..\public10\design\U_globalVar.pas',
  U_WindowFormdesign in '..\..\..\public10\design\U_WindowFormdesign.pas',
  U_CompressionFun in '..\..\..\public10\ThreeFun\Fun\U_CompressionFun.pas',
  U_RTFun in '..\..\..\public10\ThreeFun\Fun\U_RTFun.pas',
  U_ZDYHelp in '..\..\..\public10\ThreeFun\Form\U_ZDYHelp.pas' {frmZDYHelp},
  U_AttachmentUpload in '..\A00通用窗体\U_AttachmentUpload.pas' {frmFjList_RZ},
  U_ClothInfoSel in '..\A00通用窗体\U_ClothInfoSel.pas' {frmClothInfoSel},
  U_CompanySel in '..\A00通用窗体\U_CompanySel.pas' {frmCompanySel},
  U_EmployeeSel in '..\A00通用窗体\U_EmployeeSel.pas' {frmEmployeeSel},
  U_DyeClothWaitStorage in 'U_DyeClothWaitStorage.pas' {frmDyeClothWaitStorage},
  U_DyeClothInEdit in 'U_DyeClothInEdit.pas' {frmDyeClothInEdit},
  U_DyeClothIOFlow in 'U_DyeClothIOFlow.pas' {frmDyeClothIOFlow},
  U_DyeClothPSI in 'U_DyeClothPSI.pas' {frmDyeClothPSI},
  U_LabelMapSet in '..\A00通用窗体\U_LabelMapSet.pas' {frmLabelMapSet},
  U_LabelPrint in '..\A00通用窗体\U_LabelPrint.pas' {frmLabelPrint},
  U_DyePlanSel in '..\F00染色通用窗体\U_DyePlanSel.pas' {frmDyePlanSel},
  uSZHN_JSON in '..\..\..\public10\ThreeFun\Fun\uSZHN_JSON.pas',
  U_DyeClothOutPut in 'U_DyeClothOutPut.pas' {frmDyeClothOutPut},
  U_DyeClothStkSel in 'U_DyeClothStkSel.pas' {frmDyeClothStkSel};

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD); far; stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
//  if (Reason = DLL_PROCESS_DETACH) or (Reason = DLL_THREAD_DETACH) then
//    Application := NewDllApp;
end;

exports
  GetDllForm;

begin
  try
    NewDllApp := Application;
    DLLProc := @DLLUnloadProc;
  except

  end;
end.

